Update BackOrderPreOrderReservation - Fabric

Update BackOrderPreOrderReservation

cURL

curl --request PUT \
  --url https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve/{lineItemId}/{orderNumber} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "backOrderedQuantity": 2,
  "toReleaseQuantity": 3,
  "locationNum": 23,
  "channelId": "channel_12",
  "vendorId": "vendor_123",
  "consentToDelay": "true",
  "consentDate": "2022-07-12T09:30:31.198Z",
  "lastNotificationDate": "2022-06-12T09:30:31.198Z",
  "toNotify": "false",
  "orderStatusCode": "Created",
  "lineItemStatus": "CANCELLED",
  "paymentStatus": "OK"
}
'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve/{lineItemId}/{orderNumber}"

payload = {
    "backOrderedQuantity": 2,
    "toReleaseQuantity": 3,
    "locationNum": 23,
    "channelId": "channel_12",
    "vendorId": "vendor_123",
    "consentToDelay": "true",
    "consentDate": "2022-07-12T09:30:31.198Z",
    "lastNotificationDate": "2022-06-12T09:30:31.198Z",
    "toNotify": "false",
    "orderStatusCode": "Created",
    "lineItemStatus": "CANCELLED",
    "paymentStatus": "OK"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch API)

const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    backOrderedQuantity: 2,
    toReleaseQuantity: 3,
    locationNum: 23,
    channelId: 'channel_12',
    vendorId: 'vendor_123',
    consentToDelay: 'true',
    consentDate: '2022-07-12T09:30:31.198Z',
    lastNotificationDate: '2022-06-12T09:30:31.198Z',
    toNotify: 'false',
    orderStatusCode: 'Created',
    lineItemStatus: 'CANCELLED',
    paymentStatus: 'OK'
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve/{lineItemId}/{orderNumber}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve/{lineItemId}/{orderNumber}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'backOrderedQuantity' => 2,
    'toReleaseQuantity' => 3,
    'locationNum' => 23,
    'channelId' => 'channel_12',
    'vendorId' => 'vendor_123',
    'consentToDelay' => 'true',
    'consentDate' => '2022-07-12T09:30:31.198Z',
    'lastNotificationDate' => '2022-06-12T09:30:31.198Z',
    'toNotify' => 'false',
    'orderStatusCode' => 'Created',
    'lineItemStatus' => 'CANCELLED',
    'paymentStatus' => 'OK'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve/{lineItemId}/{orderNumber}"

payload := strings.NewReader("{\n  \"backOrderedQuantity\": 2,\n  \"toReleaseQuantity\": 3,\n  \"locationNum\": 23,\n  \"channelId\": \"channel_12\",\n  \"vendorId\": \"vendor_123\",\n  \"consentToDelay\": \"true\",\n  \"consentDate\": \"2022-07-12T09:30:31.198Z\",\n  \"lastNotificationDate\": \"2022-06-12T09:30:31.198Z\",\n  \"toNotify\": \"false\",\n  \"orderStatusCode\": \"Created\",\n  \"lineItemStatus\": \"CANCELLED\",\n  \"paymentStatus\": \"OK\"}\n")

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response Example

{
  "orderNumber": "order_123",
  "sku": "sku_123",
  "lineItemId": "0",
  "type": "BACKORDER",
  "orderDate": "2022-04-12T09:30:31.198Z",
  "backOrderedQuantity": 5,
  "locationNum": 23,
  "channelId": "channel_12",
  "orderStatusCode": "Created",
  "id": "1",
  "itemId": "123",
  "cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
  "toReleaseQuantity": 0,
  "vendorId": "vendor_123",
  "consentToDelay": "true",
  "consentDate": "2022-07-12T09:30:31.198Z",
  "lastNotificationDate": "2022-06-12T09:30:31.198Z",
  "toNotify": "false",
  "lineItemStatus": "CANCELLED",
  "paymentStatus": "OK"
}

Error Response Examples

{
  "message": "Bad Request"
}
{
  "message": "Object Not Found."
}
{
  "message": "Internal Server Error"
}

Authorizations

Authorization: Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

Body

Response

200 application/json: BackOrderPreOrderReservation object updated.